Package fr.gouv.vitam.common.model.administration

# Class ContextModel

java.lang.Object
fr.gouv.vitam.common.model.administration.ContextModel

public class ContextModel extends Object
Data Transfer Object Model of Context

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_CREATION_DATE`
  `static final String`
  `TAG_ENABLE_CONTROL`
  `static final String`
  `TAG_IDENTIFIER`
  `static final String`
  `TAG_LAST_UPDATE`
  `static final String`
  `TAG_NAME`
  `static final String`
  `TAG_PERMISSIONS`
  `static final String`
  `TAG_SECURITY_PROFILE`
  `static final String`
  `TAG_STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextModel()`
  empty constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivationdate()`
  `String`
  `getCreationdate()`
  `String`
  `getDeactivationdate()`
  `String`
  `getId()`
  `String`
  `getIdentifier()`
  `String`
  `getLastupdate()`
  `String`
  `getName()`
  `List<PermissionModel>`
  `getPermissions()`
  `String`
  `getSecurityProfileIdentifier()`
  `ContextStatus`
  `getStatus()`
  `Integer`
  `getVersion()`
  `Boolean`
  `isEnablecontrol()`
  `ContextModel`
  `setActivationdate(String activationdate)`
  `ContextModel`
  `setCreationdate(String creationdate)`
  `ContextModel`
  `setDeactivationdate(String deactivationdate)`
  `void`
  `setEnablecontrol(Boolean enablecontrol)`
  `void`
  `setId(String id)`
  `ContextModel`
  `setIdentifier(String identifier)`
  `ContextModel`
  `setLastupdate(String lastupdate)`
  `void`
  `setName(String name)`
  `void`
  `setPermissions(List<PermissionModel> permissions)`
  `ContextModel`
  `setSecurityProfileIdentifier(String securityProfileIdentifier)`
  `void`
  `setStatus(ContextStatus status)`
  `void`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_SECURITY_PROFILE

    public static final String TAG_SECURITY_PROFILE
    See Also:
      - Constant Field Values

  - ### TAG_LAST_UPDATE

    public static final String TAG_LAST_UPDATE
    See Also:
      - Constant Field Values

  - ### TAG_CREATION_DATE

    public static final String TAG_CREATION_DATE
    See Also:
      - Constant Field Values

  - ### TAG_NAME

    public static final String TAG_NAME
    See Also:
      - Constant Field Values

  - ### TAG_STATUS

    public static final String TAG_STATUS
    See Also:
      - Constant Field Values

  - ### TAG_ENABLE_CONTROL

    public static final String TAG_ENABLE_CONTROL
    See Also:
      - Constant Field Values

  - ### TAG_IDENTIFIER

    public static final String TAG_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### TAG_PERMISSIONS

    public static final String TAG_PERMISSIONS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContextModel

    public ContextModel()
    empty constructor

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - value to set

  - ### getVersion

    public Integer getVersion()
    Returns:
      version

  - ### setVersion

    public void setVersion(Integer version)
    Parameters:
      `version` -

  - ### getName

    public String getName()
    Returns:
      name

  - ### setName

    public void setName(String name)
    Parameters:
      `name` -

  - ### getStatus

    public ContextStatus getStatus()
    Returns:
      status

  - ### setStatus

    public void setStatus(ContextStatus status)
    Parameters:
      `status` -

  - ### isEnablecontrol

    public Boolean isEnablecontrol()
    Returns:
      enableControle true we must check contract given contract exists in the current context, false else

  - ### setEnablecontrol

    public void setEnablecontrol(Boolean enablecontrol)
    Parameters:
      `enablecontrol` -

  - ### getPermissions

    public List<PermissionModel> getPermissions()
    Returns:
      list of PermissionModel

  - ### setPermissions

    public void setPermissions(List<PermissionModel> permissions)
    Parameters:
      `permissions` -

  - ### getIdentifier

    public String getIdentifier()
    Returns:
      identifier

  - ### setIdentifier

    public ContextModel setIdentifier(String identifier)
    Parameters:
      `identifier` -
    Returns:
      ContextModel

  - ### getCreationdate

    public String getCreationdate()
    Returns:
      the creation date of context

  - ### setCreationdate

    public ContextModel setCreationdate(String creationdate)
    Parameters:
      `creationdate` - to set
    Returns:
      this

  - ### getLastupdate

    public String getLastupdate()
    Returns:
      last update of context

  - ### setLastupdate

    public ContextModel setLastupdate(String lastupdate)
    Parameters:
      `lastupdate` - to set
    Returns:
      this

  - ### getActivationdate

    public String getActivationdate()
    Returns:
      the activation date of context

  - ### setActivationdate

    public ContextModel setActivationdate(String activationdate)
    Parameters:
      `activationdate` - to set
    Returns:
      this

  - ### getDeactivationdate

    public String getDeactivationdate()
    Returns:
      the desactivation date of context

  - ### setDeactivationdate

    public ContextModel setDeactivationdate(String deactivationdate)
    Parameters:
      `deactivationdate` - to set
    Returns:
      this

  - ### getSecurityProfileIdentifier

    public String getSecurityProfileIdentifier()
    Returns:
      the security profile identifier

  - ### setSecurityProfileIdentifier

    public ContextModel setSecurityProfileIdentifier(String securityProfileIdentifier)
    Parameters:
      `securityProfileIdentifier` - tbe security profile identifier to set.
    Returns:
      this